\begin{trem}
  The proofs of the statements of this lecture will be added (hopefully) int the beginnig of September.
\end{trem}

\begin{prop}
  Let $R$ be a Dedekind domain. Then every fractional ideal is invertible.
\end{prop}

\begin{cor}
  Let $R$ be a Dedekind ring. Then the set of fractional ideals becomes an  group with the multiplication of fractional ideals as binary operation and the ring $R$ as unit. We denote this group by $\divr(R)$. Furthermore, $\divr(R)$ is abelian.
\end{cor}
\begin{lem}
  The set $\prin(R)$ principal fractional ideals are a subgroup of $\divr(R)$.
\end{lem}

\begin{defn}
  The quotient $\divr(R)/\prin(R)$ is denoted by $\clr(R)$ and called the \emph{class group of $R$}\index{class group}\index{group!class}.
\end{defn}

\begin{rem}
  Here are two fun facts about the class group, which we are not able to prove in this lecture:
  \begin{enumerate}
    \item For every abelian group $G$ there is a Dedekind ring $R$ such that $G\cong \clr(R)$.
    \item If $\okk$ is the ring of integers of a number field, then $\clr(\okk)$ is finite. The \emph{class number} of $K$ is defined as $\abs{\clr(\okk)}$.
  \end{enumerate}
\end{rem}

\begin{prop}
  Let $I$ be an invertible ideal in a Dedekind ring $R$. Then
  \[
  I = \idp_1^{k_1}\cdot\hdots\cdot \idp_n^{k_n}
  \]
  for distinct prime ideals $\idp_1,\hdots,\idp_n$ and unique integers $k_1,\hdots,k_n\in \zz$. This representation is unique up to permutation of maximal ideals.
\end{prop}

\begin{cor}
  If $R$ is a Dedekind domain, then the group of fractional ideals is the free abelian group generated by the maximal ideals.
\end{cor}

\begin{theorem}
  Let $R$ be a Dedekind domain. Then the following are equivalent:
  \begin{enumerate}
    \item $R$ is a prinicipal ideal domain.
    \item $R$ is factorial.
    \item The class group $\clr(R)$ is trivial.
  \end{enumerate}
\end{theorem}





\section{Modules over PIDs and Projective Modules}

\begin{trem}
  The goal of this section is to relate the class group of a Dedekind Ring to another group, the so-called Picard group of invertible modules. This needs some more background on modules which was not covered (or proven) in the lecture. That is why I decided to change the order in which the material is presented and there is no End-of-Lecture-Symbol (the content was covered in lectures 22 and 23). Dr. Heidersdorf said that thte later statements were not relevant for the \emph{first} exam. I do not know to what extend this applies to the second exam. The reader can find more on this topic in \cite[05E3]{stacks-project}.
\end{trem}

\begin{defn}
  An $R$-module $P$ is \emph{projective} if for all $R$-linear maps $P\to M''$ and surjective $R$-linear maps $M\surarr M''$ there is an $R$-linear map $P\to M$ such that the diagram
  \[
  \begin{tikzcd}
    &
    P\ar[dashed]{ld}[above left]{\exists}\ar{d}\\
    M\ar[twoheadrightarrow]{r}&
    M''
  \end{tikzcd}
  \]
  commutes.
\end{defn}

\begin{example}
  If $P$ is a free $R$-module, then $P$ is projective, since linear maps can be defined on basis elements.
\end{example}

\begin{defn}
  Let
  \[
  \begin{tikzcd}[sep = small, cramped]
  0\ar{r}&
  M'\ar{r}[above]{f}&
  M\ar{r}[above]{g}&
  M''\ar{r}&
  0
  \end{tikzcd}
  \]
  be a short-exact sequence of $R$-modules.
  \begin{enumerate}
  \item A \emph{split of $g$}\index{split} is an $R$-linear map $\sigma:M''\to M$ such that $g\sigma = \id_{M''}$. If there is a split of $g$, we say that \emph{$g$ splits}.
  \item A  \emph{split of $f$} is an $R$-linear map $\rho:M\to M'$ such that $\rho f  = \id_{M'}$. If there is a split of $f$, we say that \emph{$f$ splits}.
  \end{enumerate}
\end{defn}

\begin{lem}\label{lec22:lem-splitting}
  Let
  \[
  \begin{tikzcd}[sep = small, cramped]
  0\ar{r}&
  M'\ar{r}[above]{f}&
  M\ar{r}[above]{g}&
  M''\ar{r}&
  0
  \end{tikzcd}
  \]
  be a short-exact sequence of $R$-modules.
  Then the following are equivalent:
  \begin{enumerate}
  \item The morphism $g$ splits.
  \item The morphism $f$ splits.
  \item
  There is a unique isomorphism $h:M'\oplus M''\isomorphism M$ such that the diagram
  \[
  \begin{tikzcd}
    0\ar{r}&
    M'\ar[hookrightarrow]{r}\ar[equal]{d}&
    M'\oplus M'' \ar{d}[left]{h}\ar[twoheadrightarrow]{r}&
    M''\ar[equal]{d}\ar{r}&
    0\\
    0\ar{r}&
    M'\ar{r}[above]{f}&
    M\ar{r}[above]{g}&
    M''\ar{r}&
    0
  \end{tikzcd}
  \]
  commutes.
  \end{enumerate}
\end{lem}
\begin{proof}
  The implications iii) $\implies$ i) and iii) $\implies$ ii) are immediate. For i) $\implies$ iii) consider the following diagram:
  \[
  \begin{tikzcd}
    0\ar{r}&
    M'\ar[hookrightarrow]{r}\ar[equal]{d}&
    M'\oplus M'' \ar{d}[left]{h}\ar[twoheadrightarrow]{r}&
    M''\ar[equal]{d}\ar{r}&
    0\\
    0\ar{r}&
    M'\ar{r}[above]{f}&
    M\ar{r}[above]{g}&
    M''\ar{r}&
    0
  \end{tikzcd}
  \]
  Here the map $h:M'\oplus M''$ is $f$ on $M'$ and $\sigma$ on $M''$. Then the diagram commutes  since $\sigma$ is a split of $g$ and the Five-Lemma (\cref{five-lemma}) implies that $h$ is an isomorphism. The direction ii) $\implies$ iii) follows analogously. That $h$ is unique follows from $g$ being surjective (for a second map $h':M'\oplus M''\to M$ with $g\circ h = g\circ h'$ it follows that $h=h'$).
\end{proof}
\begin{defn}
  A short-exact sequence \emph{splits} if it satisfies one of the equivalent conditions of \cref{lec22:lem-splitting}.
\end{defn}

\begin{lem}
Let $P$ be an $R$-module. Then the following are equivalent:
\begin{enumerate}
  \item $P$ is projective.
  \item For every surjective map $\pi:M\surarr M''$ the induced map \[\pi_{\ast}:\hom(P,M)\to \hom(P,M'')\] is surjective.
  \item For every surjective map $\pi:F\surarr M''$ with $F$ free the induced map $\pi_{\ast}:\hom(P,M)\to \hom(P,M'')$ is surjective.
  \item $P$ is a direct summand of a free $R$-module, i.e. there is an $R$-module $Q$ and a free $R$-module $F$ such that $F\cong P\oplus Q$.
  \item For every surjective map $g:M\to P$ the induced sequence
  \[
  \begin{tikzcd}[sep = small, cramped]
    0\ar{r}&
    \ker g\ar[hookrightarrow]{r}&
    M\ar{r}[above]{g}&
    P\ar{r}&
    0
  \end{tikzcd}
  \]
  splits.
\end{enumerate}
\end{lem}
\begin{proof}
  The implications i) $\implies$ ii) and ii) $\implies$ iii) are clear. For iii) $\implies$ iv) choose any (not necessarily finite) set $X$ of generators of $P$ (e.g. $P$ itself). Then by assumption there is a map $f:P\to R^{(X)}$ such that $\pi\circ f = \id_{P}$:
  \[
  \begin{tikzcd}
    P\ar[bend left = 30]{rr}[above]{\id_P}\ar{r}[above]{f}&
    R^{(X)}\ar{r}[above]{\pi}&
    P\ar{r}&
    0
  \end{tikzcd}
  \]
  It can now be checked that $R^{(X)}\cong \im f \oplus \ker \pi$ holds. For iv) $\implies$ i) we note that free modules are projective and then check that the diagram
  \[
  \begin{tikzcd}
    &
    P\oplus Q\ar[twoheadrightarrow]{d}\ar[bend right = 10]{ldd}\\
    &
    P\ar[dashed]{ld}\ar{d}\\
    M\ar[twoheadrightarrow]{r}&M''
  \end{tikzcd}
  \]
  actually commutes.\par
\end{proof}

\begin{mprop}\label{lec22:projective-local-implies-free}
  Let $R$ be a local ring and let $M$ be a finitely-generated projective $R$-module. Then $M$ is already free.
\end{mprop}
\begin{proof}
    Choose a surjection $\pi:F\surarr M$ onto $M$ from a finite-free module $F\cong R^n$ and set $Q\defined \ker \pi$. Then the sequence
    \[
    \begin{tikzcd}[sep  = small, cramped]
      0 \ar{r}&
      Q\ar[hookrightarrow]{r}&
      F\ar[twoheadrightarrow]{r}&
      M\ar{r}&
      0
    \end{tikzcd}
    \]

    is short-exact. Denote by $k$ the field $R/\idm$, then
    \[
    \begin{tikzcd}[sep  = small, cramped]
      0\ar{r}&
      Q\tensor k\ar{r}&
      F\tensor k\ar{r}&
      M\tensor k\ar{r}&
      0
    \end{tikzcd}
    \]
    is short-exact too. We now choose $n$ minimal with the property that $R^n\surarr M$ is surjective.
    So the image of a basis of $F$ is a minimal set of generators. But then $\dim_k M\tensor k = n$ (since there is a bijection between minimal sets of generators of $M$ and minimal sets of generators of $M\tensor k$ by Nakayama, \cref{lec6:lec6:nakayama-generators}) and hence $Q\tensor k = 0$.
    But this implies $Q = 0$ (again by Nakayama, \cref{5:quotient-of-fg}) and hence $M = F$.

\end{proof}


\subsection*{Finitely Generated Modules over PIDs}
\begin{lem}\label{lec22:pid-submodule}
  Let $R$ be a principal ideal domain and $N$ a finitely generated free $R$-module. Then every submodule $M\sse N$ is free too and $\rng M\leq \rng N$.
\end{lem}
\begin{proof}
  Since Principal Ideal Domains are noetherian (\cref{lec15:pid-noetherian}) $M$ is finitely generated too.
  Let $N$ be free of rank $n$, i.e. $N\cong R^n$.
  If $n=1$ then $M\sse R$ is an ideal and since $R$ is a PID we have $M\cong R$.
  Consider now the general case. Denote by $\pi:R^n\surarr R$ the projection onto the last factor and set $I\defined \pi\left(M\right)$.
  If $I = \genby{0}$ then $M\sse R^{n-1}$ and the claim follows by induction. In the other case of $\pi\left(M\right) = \genby{f}\cong R$ with $f\neq 0$, we obtain the following short-exact sequence:
\[
  \begin{tikzcd}[sep = small, cramped]
    0\ar{r}&
    \ker\left(M\to I\right)\ar{r}&
    M\ar{r}&
    R\ar{r}&
    0,
  \end{tikzcd}
  \]
  which splits since $R$ is free (\cref{lec22:lem-splitting}). Hence $M\cong R\oplus \ker\left(M\to I\right)$. Since $\ker\left(M\to I\right)\sse R^{n-1}$ the claim now follows again by induction.
\end{proof}
\begin{mrem}
  The statement remains true even if $N$ is not finitely generated, although a different proof is needed
\end{mrem}

\begin{lem}
  Let $M$ be a finitely-generated $R$-module and assume that $R$ is an integral domain.
  \begin{enumerate}
    \item Then $M$ is torsion-free if and only if $M$ is a submodule of a finite-free module.
    \item If $R$ is a PID, then $M$ is torsion-free if and only if it is free.
  \end{enumerate}
\end{lem}
\begin{proof}
\leavevmode
\begin{enumerate}
  \item Assume $M$ is torsion-free. Denote by $K\defined \quot R$ the quotient field of $R$.
  Then $V\defined M\tensor_R K$ is a finitely-generated $K$-vector space. Denote by $e_1,\hdots,e_m$ a basis of $V$.
  Consider now the map $M\to M\tensor K$, which is injective since $M$ is torsion-free.
  Let $x_1,\hdots,x_n$ be a set of generators of $M$. Then there are $a_{ij},b_{ij}\in R$ such that $x_i = \sum_{j=1}^ma_{ij}/b_{ij}e_j$ and set $b\defined \prod_{i,j}b_{ij}$. Then $M$ can be identified with a submodule of $\lin \left(1/be_1,\hdots,1/b e_j\right)$, which is free.
  \item This now follows from i) and \cref{lec22:pid-submodule}.
\end{enumerate}
\end{proof}

\begin{cor}
  Let $M$ be a finitely generated $R$-module and assume that $R$ is a prinicipal ideal domain. Then there is a decomposition $M\cong M'\oplus T(M)$ with $M'$ free.
\end{cor}
